class AppException implements Exception {
  final String _message;

  AppException(this._message);

  String toString() {
    return "$_message";
  }

  String get message => _message;
}

class FetchDataException extends AppException {
  FetchDataException(String message) : super(message);
}

class UnauthorizedException extends AppException {
  UnauthorizedException(message) : super(message);
}

class InvalidInputException extends AppException {
  InvalidInputException(String message) : super(message);
}

class NotFoundException extends AppException {
  NotFoundException(String message) : super(message);
}

class TokenStorageException extends AppException {
  TokenStorageException(String message) : super(message);
}

class UserStorageException extends AppException {
  UserStorageException(String message) : super(message);
}

class BadRequestException implements Exception {
  dynamic data;

  BadRequestException(this.data);
}

class InternetConnectionException extends AppException {
  InternetConnectionException()
      : super("Verifique sua conexão com a internet e tente novamente.");
}
