import 'package:project_core/core/exception/AppException.dart';

class AppHttpResponse {
  final int code;
  final dynamic body;

  AppHttpResponse({this.code, this.body});
}

dynamic returnResponse(AppHttpResponse response) {
  switch (response.code) {
    case 200:
    case 201:
      return response.body;
    case 400:
      throw BadRequestException(response.body);
    case 401:
    case 403:
      throw UnauthorizedException("Você não possui autorização para realizar essa ação.");
    case 404:
      throw NotFoundException("O servidor não está acessível. Contate o suporte.");
    case 500:
    default:
      throw FetchDataException( "Problema ao conectar-se ao servidor. Por favor, tente novamente.");
  }
}
