import 'dart:convert';

import 'package:project_core/core/model/error/ModelError.dart';

class ApiError {
  List<ModelError> errors;

  ApiError(this.errors);

  factory ApiError.fromJson(dynamic json) {
    try {
      if (json is String) {
        json = jsonDecode(json);
      }
      var list = json as List;
      return ApiError(list.map((i) => ModelError.fromJson(i)).toList());
    } catch (e) {
      return ApiError([
        ModelError("Validação",
            "Ocorreu um error desconhecido. Por favor, tente novamente.")
      ]);
    }
  }

  @override
  String toString() {
    return errors?.map((error) => error?.error)?.toList()?.join(",");
  }
}
