import 'package:project_core/core/bloc/Bloc.dart';
import 'package:project_core/core/model/AppResponse.dart';
import 'package:rxdart/rxdart.dart';

class DefaultBloc extends Bloc {
  final dynamic _repository;
  final _controller = BehaviorSubject<AppResponse<List<dynamic>>>();
  final _resourceName;

  DefaultBloc(this._resourceName, this._repository);

  Stream<AppResponse<List<dynamic>>> get streamOut => _controller.stream;

  fetchAll() async {
    _controller.add(AppResponse.loading(message: 'Carregando $_resourceName'));
    try {
      List<dynamic> list = await _repository.fetchAll();
      _controller.add(AppResponse.completed(list));
    } catch (e) {
      _controller.add(AppResponse.error(e.toString()));
    }
  }

  @override
  void dispose() {
    _controller.close();
  }
}
