import 'package:project_core/util/Util.dart';

class EnvConfig {
  String name;
  String apiUrl;
  String authApiUrl;
  String graphqlUrl;
  String graphqlSecret;
  String wssGraphqlUrl;

  EnvConfig(
      {String name,
      String apiUrl,
      String graphqlUrl,
      String authApiUrl,
      String graphqlSecret, String wssGraphqlUrl}) {
    this.name = name;
    this.apiUrl = Util.checkApiUrl(apiUrl);
    this.authApiUrl = Util.checkApiUrl(authApiUrl);
    this.graphqlUrl = graphqlUrl;
    this.graphqlSecret = graphqlSecret;
    this.wssGraphqlUrl = wssGraphqlUrl;
  }
}

class Env {
  EnvConfig config;
  static final Env instance = Env._();

  Env._();

  setEnv(EnvConfig envConfig) {
    config = envConfig;
  }
}
